#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# ContactMaterial Class

Defined in: `src/material/ContactMaterial.js:5`

Defines what happens when two materials meet.

## Constructor

### `ContactMaterial`

(

- `m1`
- `m2`
- `[options]`

)

Defined in `src/material/ContactMaterial.js:5`

#### Parameters:

- `m1` Material
- `m2` Material
- `[options]` Object optional
  - `[friction=0.3]` Number optional
  - `[restitution=0.3]` Number optional
  - `[contactEquationStiffness=1e7]` Number optional
  - `[contactEquationRelaxation=3]` Number optional
  - `[frictionEquationStiffness=1e7]` Number optional
  - `[frictionEquationRelaxation=3]` Number optional

- Index
- Properties

## Item Index

### Properties

- contactEquationRelaxation
- contactEquationStiffness
- friction
- frictionEquationRelaxation
- frictionEquationStiffness
- id
- materials
- restitution

## Properties

### `contactEquationRelaxation`

Number

Defined in `src/material/ContactMaterial.js:60`

Relaxation time of the produced contact equations

### `contactEquationStiffness`

Number

Defined in `src/material/ContactMaterial.js:54`

Stiffness of the produced contact equations

### `friction`

Number

Defined in `src/material/ContactMaterial.js:42`

Friction coefficient

### `frictionEquationRelaxation`

Number

Defined in `src/material/ContactMaterial.js:72`

Relaxation time of the produced friction equations

### `frictionEquationStiffness`

Number

Defined in `src/material/ContactMaterial.js:66`

Stiffness of the produced friction equations

### `id`

Number

Defined in `src/material/ContactMaterial.js:29`

Identifier of this material

### `materials`

Array

Defined in `src/material/ContactMaterial.js:35`

Participating materials

### `restitution`

Number

Defined in `src/material/ContactMaterial.js:48`

Restitution coefficient